<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>CSS Widget: .button</title>
        <link href="css/base.css" rel="stylesheet">
        <link href="css/button.css" rel="stylesheet">
    </head>
    <body>
        <h1>CSS Widget: <code>.button</code></h1>

        <h2>Default Button</h2>
        <button class="button " type="button">Button Type</button>
        <a class="button " href="#">Link Type</a>

        <h2>Color Variations</h2>
        <button class="button button--success" type="button">Success</button>
        <button class="button button--error" type="button">Error</button>

        <h2>Size Variations</h2>
        <button class="button button--small" type="button">Small Button</button>
        <button class="button button--large" type="button">Large Button</button>
        <p></p>
        <button class="button button--block" type="button">Block Button</button>

    </body>
</html>
